
QGIS Application - Bug report #21402

Error on change UI themes

2019-02-27 07:26 AM - Andrew Shanin

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.6.0 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 29219

Description

Ошибка при выполнении сценария Python:

RuntimeError: wrapped C/C++ object of type ContourGeneratorAlgorithm has been deleted 

Traceback (most recent call last):

  File "C:/Users/Андрей/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\contour\ContourGeneratorProvider.py", line 55,

in loadAlgorithms

    self.addAlgorithm( alg )

RuntimeError: wrapped C/C++ object of type ContourGeneratorAlgorithm has been deleted

Версия Python: 3.7.0 (v3.7.0:1bf9cc5093, Jun 27 2018, 04:59:51) [MSC v.1914 64 bit (AMD64)] 

Версия: 3.6.0-Noosa Noosa, 58734527ab

Расположение Python:

C:/Users/Андрей/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\contour

L:/qgis-3.6/apps/qgis/./python

C:/Users/Андрей/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:/Users/Андрей/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins

L:/qgis-3.6/apps/qgis/./python/plugins

L:\qgis-3.6\bin\python37.zip

L:\qgis-3.6\apps\Python37\DLLs

L:\qgis-3.6\apps\Python37\lib

L:\qgis-3.6\bin

L:\qgis-3.6\apps\Python37

L:\qgis-3.6\apps\Python37\lib\site-packages

L:\qgis-3.6\apps\Python37\lib\site-packages\win32

L:\qgis-3.6\apps\Python37\lib\site-packages\win32\lib

L:\qgis-3.6\apps\Python37\lib\site-packages\Pythonwin

C:/Users/Андрей/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:\Users\Андрей\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\Beeline/libs

C:\Users\Андрей\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins

C:\Users\Андрей\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\shapetools\ext-libs

History

#1 - 2019-02-27 09:38 AM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Closed
This is a bug in the third party contour plugin, not qgis itself.
